Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
roles
/
{roleId}
/
permissions
List permissions for an organization team role
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/roles/{roleId}/permissions
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/roles/{roleId}/permissions"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/roles/{roleId}/permissions', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "success",
  "data": [
    "<string>"
  ]
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required
teamId
number
required
roleId
string
required

Response

200 - application/json
status
string
required
Example:

"success"

data
string[]
required